package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class GoblinZhengzaiStoreListVo implements Cloneable {
    @ApiModelProperty(value = "商铺id")
    String storeId;
    @ApiModelProperty(value = "商铺名称")
    String storeName;
    @ApiModelProperty(value = "显示时间")
    String showTime;
    @ApiModelProperty(value = "商铺商品数量")
    Integer spuCount;
    @ApiModelProperty(value = "商铺款式数量")
    Integer skuCount;

    private static final GoblinZhengzaiStoreListVo obj = new GoblinZhengzaiStoreListVo();
    public static GoblinZhengzaiStoreListVo getNew() {
        try {
            return (GoblinZhengzaiStoreListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinZhengzaiStoreListVo();
        }
    }
}
